Package org.linphone.core

# Interface Ldap

public interface Ldap
Object that represents a LDAP connection.
Use a `LdapParams` object to configure it.
deprecated: 18/11/2024 `Ldap` object is no longer used, use `RemoteContactDirectory`
instead.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Ldap.AuthMethod`
`static enum`
`Ldap.CertVerificationMode`
`static enum`
`Ldap.Check`
`static enum`
`Ldap.DebugLevel`

## Method Summary

Modifier and Type
Method
Description
`Core`
`getCore()`
Deprecated.
`int`
`getIndex()`
Deprecated.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`LdapParams`
`getParams()`
Deprecated.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`Ldap`
`newWithParams(Core lc, LdapParams params)`
Deprecated.
`void`
`setIndex(int index)`
Deprecated.
`void`
`setParams(LdapParams params)`
Deprecated.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getCore

@Deprecated @NonNull Core getCore()
Deprecated.
Get the `Core` object to which is associated the `Ldap`.

Returns:
  The `Core` object to which is associated the `Ldap`.
  deprecated: 18/11/2024 `Ldap` object is no longer used, use `RemoteContactDirectory`
  instead.

### getIndex

@Deprecated int getIndex()
Deprecated.
Get the index of the `Ldap`.

Returns:
  The index of the Ldap
  deprecated: 18/11/2024 `Ldap` object is no longer used, use `RemoteContactDirectory`
  instead.

### setIndex

@Deprecated void setIndex(int index)
Deprecated.
Set the index associated to the `Ldap`.

Parameters:
  `index` - The index of the Ldap. Can be -1 : it will be determined on save.
  deprecated: 18/11/2024 `Ldap` object is no longer used, use `RemoteContactDirectory`
  instead.

### getParams

@Deprecated @NonNull LdapParams getParams()
Deprecated.
Get the `LdapParams` as read-only object.
To make changes, clone the returned object using `LdapParams.clone()`
method, make your changes on it and apply them using with `setParams(org.linphone.core.LdapParams)`.

Returns:
  The `LdapParams` attached to this ldap.
  deprecated: 18/11/2024 `Ldap` object is no longer used, use `RemoteContactDirectory`
  instead.

### setParams

@Deprecated void setParams(@NonNull LdapParams params)
Deprecated.
Set the `LdapParams` used by this `Ldap`.
The parameters will be saved in the configuration file.

Parameters:
  `params` - The `LdapParams` object.
  deprecated: 18/11/2024 `Ldap` object is no longer used, use `RemoteContactDirectory`
  instead.

### newWithParams

@Deprecated @NonNull Ldap newWithParams(@NonNull Core lc, @NonNull LdapParams params)
Deprecated.
Create a new `Ldap`, associate it with the `LdapParams` and store
it into the configuration file.

Parameters:
  `lc` - The `Core` object.
  `params` - The `LdapParams` object.
Returns:
  The newly created `Ldap` object.
  deprecated: 18/11/2024 `Ldap` object is no longer used, use `RemoteContactDirectory`
  instead.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`